Bug 1122921 - Backport RNG enum fix
Summary: Backport RNG enum fix
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Frantisek Kobzik
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 12:06 UTC by Frantisek Kobzik
Modified: 2016-02-10 19:49 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:40:01 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30679 ovirt-engine-3.5 MERGED frontend: Fix issues with VmRngDevice.Source enum Never

Description Frantisek Kobzik 2014-07-24 12:06:53 UTC
Description of problem:
Backport RNG parsing fix (original RFE: https://bugzilla.redhat.com/show_bug.cgi?id=977079).

Comment 1 Frantisek Kobzik 2014-09-04 13:53:13 UTC
(Just minor clarification:)

Enum parsing failure caused incorrect state of default rng sources in _new_ cluster dialog.

These checkboxes should correspond to ClusterRequiredRngSourcesDefault in engine config but were unchecked instead.

Comment 2 Pavel Novotny 2014-09-29 15:59:12 UTC
Verified in rhevm-3.5.0-0.13.beta.el6ev.noarch (vt4).

Verification steps:
1. Via engine-config utility set the default random generator (RNG) source for 3.5 cluster:
  a) engine-config -s ClusterRequiredRngSourcesDefault=random --cver=3.5
  b) engine-config -s ClusterRequiredRngSourcesDefault=hwrng --cver=3.5
  c) engine-config -s ClusterRequiredRngSourcesDefault=random,hwrng --cver=3.5
  d) engine-config -s ClusterRequiredRngSourcesDefault= --cver=3.5
2. Restart ovirt-engine service
3. In Webadmin / Clusters tab open 'New Cluster' dialog (with Compatibility Version = 3.5).
4. Check settings in the 'Required Random Number Generator sources:' section.

Results:
a) '/dev/random source' is checked by default
b) '/dev/hwrng source' is checked by default
c) both, '/dev/random source' and '/dev/hwrng source' are checked by default
d) none of the RNG sources are checked by default

Note that you can define defaults in ClusterRequiredRngSourcesDefault also for clusters of version 3.4 and older, but these values are ignored since RNG is supported only in version 3.5 and higher.

Comment 3 Sandro Bonazzola 2014-10-17 12:40:01 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.